You are not logged in.

#1 2023-09-08 06:52:02

scatherinch
Member
Registered: 2023-02-24
Posts: 137

[SOLVED] RPSC3: Can't update

I have the RPCS3 emulator. Updating it is supposed to fetch the latest build upstream but for whatever reason, i am unable to do this because it spits a terminal error out (which thankfully it has this built in)

E UPDATER: Failed to move old AppImage file: /usr/bin/rpcs3 (Access violation)
E UPDATER: Failed to create new AppImage file: /usr/bin/rpcs3 (Access violation)

How can I fix this so that the emulator can do its thing to update through the emulator itself? (AUR build of RPCS3 takes me to an earlier version)

Last edited by scatherinch (2023-09-09 00:45:52)

Offline

#2 2023-09-08 13:24:29

V1del
Forum Moderator
Registered: 2012-10-16
Posts: 20,169

Re: [SOLVED] RPSC3: Can't update

You'd have to run it/the updater as root or if it's just about that one file, give your user rw perms (... and temporarily w perms on /usr/bin/) on it so it can be replaced. Generally you probably don't want to run appimages from a root/system owned location.  Alternatively update the appimage manually, by replacing the older version with the newer one with elevated rights, which is likely the simplest option.

Offline

#3 2023-09-09 00:45:32

scatherinch
Member
Registered: 2023-02-24
Posts: 137

Re: [SOLVED] RPSC3: Can't update

Alright, thank you. I'll probably just wait until it gets updated on the AUR.

Offline

Board footer

Powered by FluxBB